{
  gROOT->Macro("start.C");
  AnalTools at;
  TCanvas* c2=new TCanvas("c2","c2",800,600);
  TCanvas* c1=new TCanvas("c1","c1",800,600);
  TChain* TwoTr=new TChain("TwoTr");
  TString paths[10];
  Int_t pathmask=7;
  Int_t cutnumber=1;
  Int_t nbins=14;
  char dirname[200];
  sprintf(dirname,"DirEcut%dset%dnb%d",cutnumber,pathmask,nbins);
  paths[0]="../OFiles/Output95_10.root";
  paths[1]="../OFiles/Output9596_13.root";
  paths[2]="../OFiles/Output96_7.root";
  for(int j=0;j<3;j++)
    {
      if((1<<j)&pathmask)
	{
	  TwoTr->Add(paths[j]);
	  std::cout<<paths[j]<<"\n";
	};
    };
  TFile fout("fout.root","update");
  if( fout.GetListOfKeys()->FindObject(dirname))
    {
      fout.cd(dirname);
    }
  else
    {
      fout.mkdir(dirname);
      fout.cd(dirname);
    };
  TH1F* E12uN=new TH1F("E12uN","uN",nbins,0,350.);
  TH1F* E12dN=new TH1F("E12dN","dN",nbins,0,350.);
  TH1F* E12uS=new TH1F("E12uS","uN",nbins,0,350.);
  TH1F* E12dS=new TH1F("E12dS","dN",nbins,0,350.);
  TString cuts0="abs(Eta-3.65)<.4&& N12==1";
  TString cuts1="abs(Eta-3.65)<.4&& N12==2 && abs(M12-.17)<.14";
  TString cuts2="abs(Eta-3.05)<.1&& N12==1 && cos(Phi-Phiaway)<.5";
  TString cuts3="abs(Eta-3.65)<.3&& N12==2 && abs(M12-.55)<.05"; 
  TString cuts4="abs(Eta-3.3)<.5&& N12==1";
  TString cuts5="abs(Eta-3.9)<.1&& N12>2";
  TString cuts6="abs(Eta-3.65)<.4&& N12==1&&Edet[0]+Edet[1]+Edet[2]+Edet[3]-E12>.75*E12";
  TString cuts7="abs(Eta-3.65)<.4&& N12==1&&Edet[0]+Edet[1]+Edet[2]+Edet[3]-E12<.25*E12";

  TString cutlist[10];
  cutlist[0]=cuts0;
  cutlist[1]=cuts1;
  cutlist[2]=cuts2;
  cutlist[3]=cuts3;
  cutlist[4]=cuts4;
  cutlist[5]=cuts5;
  cutlist[6]=cuts6;
  cutlist[7]=cuts7;
  TString cuts=cutlist[cutnumber];
  TString North="&&cos(Phi)<-.5";
  TString South="&&cos(Phi)>.5";
  TString Bdown="&&abs(spin-.5)<.6";
  TString Bup="&&abs(spin-2.5)<.6";
  TString Ydown="&&spin<4&&(spin%2==0)";
  TString Yup="&&spin<4&&(spin%2==1)";
  TString dn=Bdown;
  TString up=Bup;
  TwoTr->Project("E12uN","E12",cuts+North+dn);
  E12uN->SetLineColor(1);
  TwoTr->Project("E12dN","E12",cuts+North+up);
  E12dN->SetLineColor(2);
  E12uN->Draw("e");
  E12dN->Draw("esame");
  E12uN->Sumw2();  

  E12dN->Sumw2();
  TH1F* RN=new TH1F((*E12uN)/(*E12dN));
  TwoTr->Project("E12uS","E12",cuts+South+dn);
  E12uS->SetLineColor(3);
  TwoTr->Project("E12dS","E12",cuts+South+up);
  E12dS->SetLineColor(4);
  E12uS->Draw("esame");
  E12dS->Draw("esame");
  E12uS->Sumw2();
  E12dS->Sumw2();
  c1->SetTitle("UpN=blk  UpS=grn DnN=red DnS=blue");
  c2->cd();
  c2->SetTitle("U/D_N=blk  U/D_S=blue");
  TH1F* RS=new TH1F((*E12uS)/(*E12dS));
  RN->Draw("e");
  RS->SetLineColor(4);
  RS->Draw("esame");
  TH1F* crossR=new TH1F(at.GetCross(E12uS,E12dS,E12uN,E12dN,"CrossRat"));
  TCanvas* c3=new TCanvas("c3","c3",800,600);
  TString ctit="Cross Ratio: ";
  ctit=ctit+cuts;
  crossR->SetTitle(ctit);
  crossR->GetXaxis()->SetTitle("E12 (GeV)");
  crossR->GetYaxis()->SetTitle("raw cross An");
  crossR->Draw();
    c1->Write();
  c2->Write();
  c3->Write();
  crossR->Write();
  RN->Write();
  RS->Write();
  E12uS->Write();
  E12dS->Write();
  E12dN->Write();
  E12uN->Write();
  fout.cd("../");
}
