{
  gROOT->Macro("start.C");
  AnalTools at;
  TCanvas* c2=new TCanvas("c2","c2",800,600);
  TCanvas* c1=new TCanvas("c1","c1",800,600);
  TChain* TwoTr=new TChain("TwoTr");
  TString paths[10];
  Int_t pathmask=7;
  Int_t cutnumber=3;
  Int_t nbins=12;
  char dirname[200];
  sprintf(dirname,"Dircut%dset%dnb%d",cutnumber,pathmask,nbins);
  paths[0]="../OFiles/Output95_10.root";
  paths[1]="../OFiles/Output9596_13.root";
  paths[2]="../OFiles/Output96_7.root";
  for(int j=0;j<3;j++)
    {
      if((1<<j)&pathmask)
	{
	  TwoTr->Add(paths[j]);
	  std::cout<<paths[j]<<"\n";
	};
    };
  TFile fout("fout.root","update");
  if( fout.GetListOfKeys()->FindObject(dirname))
    {
      fout.cd(dirname);
    }
  else
    {
      fout.mkdir(dirname);
      fout.cd(dirname);
    };
  TH1F* PtuN=new TH1F("PtuN","uN",nbins,0,25.);
  TH1F* PtdN=new TH1F("PtdN","dN",nbins,0,25.);
  TH1F* PtuS=new TH1F("PtuS","uN",nbins,0,25.);
  TH1F* PtdS=new TH1F("PtdS","dN",nbins,0,25.);
  TString cutlist[10];
  TString cuts0="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-80)<10";
  TString cuts1="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-120)<30";
  TString cuts2="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-150)<50";
  TString cuts3="abs(Eta-3.6)<.4&&N12==2 &&abs(M12-.17)<.13 &&abs(E12-70)<15";
  TString cuts4="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-65)<5";
  TString cuts5="abs(Eta-3.3)<.7&&N12==1 &&abs(E12-60)<10";
  cutlist[0]=cuts0;
  cutlist[1]=cuts1;
  cutlist[2]=cuts2;
  cutlist[3]=cuts3;
  cutlist[4]=cuts4;
  cutlist[5]=cuts5;
  TString cuts=cutlist[cutnumber];
  TString North="&&cos(Phi)<-.5";
  TString South="&&cos(Phi)>.5";
  TString Bdown="&&abs(spin-.5)<.6";
  TString Bup="&&abs(spin-2.5)<.6";
  TString Ydown="&&spin<4&&(spin%2==0)";
  TString Yup="&&spin<4&&(spin%2==1)";
  TString dn=Bdown;
  TString up=Bup;
  TwoTr->Project("PtuN","Pt",cuts+North+dn);
  PtuN->SetLineColor(1);
  TwoTr->Project("PtdN","Pt",cuts+North+up);
  PtdN->SetLineColor(2);
  PtuN->Draw("e");
  PtdN->Draw("esame");
  PtuN->Sumw2();  

  PtdN->Sumw2();
  TH1F* RN=new TH1F((*PtuN)/(*PtdN));
  TwoTr->Project("PtuS","Pt",cuts+South+dn);
  PtuS->SetLineColor(3);
  TwoTr->Project("PtdS","Pt",cuts+South+up);
  PtdS->SetLineColor(4);
  PtuS->Draw("esame");
  PtdS->Draw("esame");
  PtuS->Sumw2();
  PtdS->Sumw2();
  c1->SetTitle("UpN=blk  UpS=grn DnN=red DnS=blue");
  c2->cd();
  c2->SetTitle("U/D_N=blk  U/D_S=blue");
  TH1F* RS=new TH1F((*PtuS)/(*PtdS));
  RN->Draw("e");
  RS->SetLineColor(4);
  RS->Draw("esame");
  TH1F* crossR=new TH1F(at.GetCross(PtuS,PtdS,PtuN,PtdN,"CrossRat"));
  TCanvas* c3=new TCanvas("c3","c3",800,600);
  TString ctit="Cross Ratio: ";
  ctit=ctit+cuts;
  crossR->SetTitle(ctit);
  crossR->GetXaxis()->SetTitle("Pt (GeV)");
  crossR->GetYaxis()->SetTitle("raw cross An");
  crossR->Draw();
  c1->Write();
  c2->Write();
  c3->Write();
  crossR->Write();
  RN->Write();
  RS->Write();
  PtuS->Write();
  PtdS->Write();
  PtdN->Write();
  PtuN->Write();
  fout.cd("../");
}
